graphite2 (1.3.7-1) unstable; urgency=medium

  * New upstream release

  * add debian/watch, update debian/copyright to point to github
  * add Homepage: (http://graphite.sil.org/)

 -- Rene Engelhard <rene@debian.org>  Tue, 15 Mar 2016 09:23:42 +0100

graphite2 (1.3.6-1) unstable; urgency=medium

  * New upstream release
    - fixes CVE-2016-1977 CVE-2016-2790 CVE-2016-2791 CVE-2016-2792 
            CVE-2016-2793 CVE-2016-2794 CVE-2016-2795 CVE-2016-2796
            CVE-2016-2797 CVE-2016-2798 CVE-2016-2799 CVE-2016-2800
            CVE-2016-2801 CVE-2016-2802

 -- Rene Engelhard <rene@debian.org>  Mon, 29 Feb 2016 20:52:55 +0100

graphite2 (1.3.5-1) unstable; urgency=medium

  * New upstream release
    - fixes Bidirectional Font BracketPairStack Code Execution Vulnerability
      (TALOS-2016-0057/CVE-2016-1522)
    - fixes directrun Opcode Handling Code Execution Vulnerability
      (TALOS-2016-0058/CVE-2016-1521)
    - fixes Context Item Code Execution Vulnerability
      (TALOS-2016-0059/CVE-2016-1523)
    - fixes Bidirectional Font mFeatureMap Denial of Service Vulnerability
      (TALOS-2016-0060/CVE-2016-1522)
    - fixes LocaLookup Denial of Service Vulnerability"
      (TALOS-2016-0061/CVE-2016-1521)

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Jan 2016 23:39:14 +0100

graphite2 (1.3.4-2) unstable; urgency=medium

  * debian/patches/revert-collision-info-refactoring-to-fix-alignment.diff:
    add from upstream git, thanks Tim Eves (closes: #805323)
  * debian/patches/reproducible-build.diff: tell dblatex to use a static
    path to make build reproduceable, thanks Reiner Herrmann
    (closes: #807838)
  * use -DGRAPHITE2_NTRACING:BOOL=ON (instead of :bool=1)
  * fix Maintainer:
  * migrate from manual -dbg to ddeb

 -- Rene Engelhard <rene@debian.org>  Tue, 05 Jan 2016 17:12:01 +0000

graphite2 (1.3.4-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 31 Oct 2015 16:11:37 +0100

graphite2 (1.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 22 Sep 2015 09:07:46 +0200

graphite2 (1.3.2-4) unstable; urgency=medium

  * upload to unstable

  * add graphviz to B-D-I...

 -- Rene Engelhard <rene@debian.org>  Fri, 18 Sep 2015 11:12:41 +0200

graphite2 (1.3.2-3) experimental; urgency=medium

  * don't run dh_auto_install when ./build/src/libgraphite2.so.3 doesn't exist
    (as for dh_auto_test) so that we don't run a graphite build after building
    the docs (as make install of course requires that). Install the docs
    manually using .install

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Sep 2015 11:52:49 +0200

graphite2 (1.3.2-2) experimental; urgency=medium

  * check for existence of ./build/src/libgraphite2.so.3 before running
    dh_auto_test to skip the tests on "all" builds

 -- Rene Engelhard <rene@debian.org>  Tue, 15 Sep 2015 08:13:13 +0200

graphite2 (1.3.2-1) experimental; urgency=medium

  * New upstream release

  * use --parallel in dh_auto_build (not in docs build and tests; the former
    doesn't build with parallelism)
  * Standards-Versions: 3.9.1 -> 3.9.6, no changes needed

 -- Rene Engelhard <rene@debian.org>  Mon, 14 Sep 2015 21:20:32 +0200

graphite2 (1.3.0-2) experimental; urgency=medium

  * backport fixes from http://hg.palaso.org/graphitedev/raw-rev/cfab7499b46b:
    - fix tests on !linux (closes: #79499)
    - increase test timeout from 10s to 120s to make them succeed on mips(el)

 -- Rene Engelhard <rene@rene-engelhard.de>  Wed, 12 Aug 2015 17:12:57 +0200

graphite2 (1.3.0-1) experimental; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 08 Aug 2015 10:38:42 +0000

graphite2 (1.2.4-3) unstable; urgency=medium

  * run a2x without --icons to avoid FTBFS (closes: #741845) 

 -- Rene Engelhard <rene@debian.org>  Sun, 01 Jun 2014 11:12:56 +0200

graphite2 (1.2.4-2) unstable; urgency=low

  * add patch from Pino Toscano to also avoid linking to libstdc++ on
    kFreeBSD and Hurd (closes: #738353)

 -- Rene Engelhard <rene@debian.org>  Mon, 10 Feb 2014 09:47:01 +0100

graphite2 (1.2.4-1) unstable; urgency=low

  * New upstream release
  * some tests need apparently need python, build-dep on python (>= 2.6) 

 -- Rene Engelhard <rene@debian.org>  Fri, 29 Nov 2013 20:12:13 +0100

graphite2 (1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 11 Jun 2013 19:25:25 +0200

graphite2 (1.2.2-2) unstable; urgency=low

  * add patch from Michael Cree <mcree@orcon.net.nz> to fix
    misaligned memory access - thanks (closes: #710336) 

 -- Rene Engelhard <rene@debian.org>  Sun, 02 Jun 2013 12:05:28 +0000

graphite2 (1.2.2-1) unstable; urgency=low

  * New upstream release
  * stop building with -O3 gotten from somewhere and overriding
    dpkg-buildflags' value, just remove  via sed
  * converto multiarch again... (closes: #689813)

 -- Rene Engelhard <rene@debian.org>  Fri, 31 May 2013 18:10:55 +0200

graphite2 (1.2.1-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Apr 2013 23:49:24 +0200

graphite2 (1.2.1-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 04 Mar 2013 19:44:28 +0100

graphite2 (1.2.0-4) experimental; urgency=low

  * revert multiarch stuff as harfbuzz now doesn't need us
    anymore... (reopens: #699714) 

 -- Rene Engelhard <rene@debian.org>  Sat, 02 Mar 2013 14:29:58 +0100

graphite2 (1.2.0-3) experimental; urgency=low

  * apply patch from Daniel Schaal to convert to multiarch
    as already multiarchified pango now needs us via harfbuzz...
    (closes: #699714)
  * clean up (not packaged) perl module packaging
  * add (not used yet) stuff to build mono binding
  * split arch-dep and arch-indep (docs...) build
  * disable the compare renderer stuff - enough compared ;-)

 -- Rene Engelhard <rene@debian.org>  Wed, 27 Feb 2013 20:24:34 +0100

graphite2 (1.2.0-2) experimental; urgency=low

  * break libgraphite2-2.0.0 (<< 1.2.0) (closes: #689813)

 -- Rene Engelhard <rene@debian.org>  Sat, 06 Oct 2012 18:24:32 +0200

graphite2 (1.2.0-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 21 Sep 2012 16:41:23 +0200

graphite2 (1.1.3-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 02 Jun 2012 01:10:10 +0200

graphite2 (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 20 Apr 2012 01:45:47 +0200

graphite2 (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 27 Feb 2012 22:32:26 +0100

graphite2 (1.1.0-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Tue, 21 Feb 2012 20:41:47 +0100

graphite2 (1.1.0-1) experimental; urgency=low

  * New upstream release
  * fix copyright syntax 

 -- Rene Engelhard <rene@debian.org>  Tue, 07 Feb 2012 22:55:08 +0000

graphite2 (1.0.3.real-1) unstable; urgency=low

  * fixup upstream release for 1.0.3

 -- Rene Engelhard <rene@debian.org>  Thu, 22 Sep 2011 20:59:53 +0200

graphite2 (1.0.3-1) unstable; urgency=low

  * New upstream release
  * add libxml2-utils to B-D-I 

 -- Rene Engelhard <rene@debian.org>  Tue, 20 Sep 2011 00:28:27 +0200

graphite2 (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 15 Aug 2011 13:29:41 +0000

graphite2 (1.0.1-3) unstable; urgency=low

  * debian/patches/fix-typedefs.diff: move ...
  * debian/patches/words-bigendian-fixes.diff: ... here and add additional
    upstream fix for setting -DWORDS_BIGENDIAN also for the tests...
  * clean up Build-Depends:
    + move asciidoc, dblatex, doxygen, docbook-xsl, latex-xcolor to B-D-I
    + remove libxml2-utils

 -- Rene Engelhard <rene@debian.org>  Wed, 10 Aug 2011 15:42:59 +0200

graphite2 (1.0.1-2) unstable; urgency=low

  * debian/patches/fix-typedefs.diff: fix Main.h typedefs for 
    WORDS_BIGENDIAN 

 -- Rene Engelhard <rene@debian.org>  Tue, 09 Aug 2011 17:47:10 +0000

graphite2 (1.0.1-1) unstable; urgency=low

  * New upstream release
    - removes -nostdlibs (closes: #634810)

  * build with -DDISABLE_TRACING:bool=1
  * stop symlinking to Debian's fonts as they are not sufficient for the
    tests
  * update debian/copyright; mention ppport.h according to
    http://pkg-perl.alioth.debian.org/copyright.html#devel__ppport 
  * fix libgraphite2-2.0.0's short description 

 -- Rene Engelhard <rene@debian.org>  Thu, 28 Jul 2011 12:54:36 +0000

graphite2 (0.9.4.dfsg-4) unstable; urgency=low

  * grr, remove dpkg-source generated patch which readds ppport.h...

 -- Rene Engelhard <rene@debian.org>  Thu, 14 Jul 2011 14:50:55 +0200

graphite2 (0.9.4.dfsg-3) unstable; urgency=low

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Tue, 12 Jul 2011 16:58:19 +0000

graphite2 (0.9.4.dfsg-2) experimental; urgency=low

  * add missing build-dep on latex-xcolor

 -- Rene Engelhard <rene@debian.org>  Sun, 10 Jul 2011 00:05:23 +0200

graphite2 (0.9.4.dfsg-1) experimental; urgency=low

  * remove perl/pport.h and tests/fonts/* from .orig

  * debian/changelog: update 
  * debian/control: build-depend on ttf-sil-padauk, ttf-sil-scheherazade
  * debian/rules: symlink to Debian's versions pf Padauk and Scheherazade,
    though....
  * debian/patches/disable_font_tests.diff: disable them (fail)
  * debian/rules, debian/control: disable perl build

 -- Rene Engelhard <rene@debian.org>  Sat, 09 Jul 2011 16:50:25 +0000

graphite2 (0.9.4-1) experimental; urgency=low

  * Initial release (closes: #617718)

 -- Rene Engelhard <rene@debian.org>  Fri, 03 Jun 2011 11:08:48 +0000
